Subject: Re: [PATCH v2] docs: clarify git rm --cached function in gitignore note

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 May 2023 10:06:22 -0700

"Sohom Datta via GitGitGadget" <[email-masked]> writes:

> From: Sohom <[email-masked]>

Please make sure this line matches what you sign-off the patch as,
i.e. the above line should read more like

    From: Sohom Datta <[email-masked]>

> Explain to users that the step to untrack a file will not also keep it
> untracked in the future.

"also keep it untracked" -> "prevent them from getting added"?

After all, it is not "git" that makes the path tracked.  It is the
user who says "git add" that file that is not supposed to be
tracked.

> Signed-off-by: Sohom Datta <[email-masked]>
> ---
> ...
> diff --git a/Documentation/gitignore.txt b/Documentation/gitignore.txt
> index f2738b10db6..8b78e1b3e08 100644
> --- a/Documentation/gitignore.txt
> +++ b/Documentation/gitignore.txt
> @@ -146,7 +146,9 @@ The purpose of gitignore files is to ensure that certain files
>  not tracked by Git remain untracked.
>  
>  To stop tracking a file that is currently tracked, use
> -'git rm --cached'.
> +'git rm --cached' to remove the file from the index. The filename
> +can then be added to the `gitignore` file to stop the file from
> +being reintroduced in later commits.

Should that be `.gitignore`, I have to wonder.  If the file in
question is in a directory `deep/hierarchy`, the user may choose to
add it in `deep/hierarchy/.gitignore`, and in that sense, you may
have chosen to say "tell the ignore/exclude mechanism" in general
without specifying the exact file path, in which case I am OK with
that strategy, too.  But then, `literal` mark-up is not appropriate
as it is no longer something the user types literally.

I'd vote for just saying `.gitignore`; it's simpler and users who
want to be creative can improvise at their own risk ;-)

Other than that, looking good.

Thanks.

>  Git does not follow symbolic links when accessing a `.gitignore` file in
>  the working tree. This keeps behavior consistent when the file is
>
> base-commit: 69c786637d7a7fe3b2b8f7d989af095f5f49c3a8